layer1BasicInfo
Get Lighter l1 general info, including contract address and rpc info. contract_addresses lists ZkLighterContract and USDCContract, plus L1CoreMessagingContract where the L1CoreMessaging contract is deployed and FaucetContract where a faucet is deployed (testnet).
get/api/v1/layer1BasicInfo
Responses
200
A successful response.
application/json
codeinteger · int32RequiredExample:
200messagestringOptional
l1_providers_healthbooleanRequiredExample:
truelatest_l1_generic_blockinteger · int64RequiredExample:
45434latest_l1_governance_blockinteger · int64RequiredExample:
45434latest_l1_desert_blockinteger · int64RequiredExample:
45434400
Bad request
application/json
get/api/v1/layer1BasicInfo
GET /api/v1/layer1BasicInfo HTTP/1.1
Host: mainnet.zklighter.elliot.ai
Accept: */*
{
"code": 200,
"message": "text",
"l1_providers": [
{
"chainId": 1,
"networkId": 1,
"latestBlockNumber": 45434
}
],
"l1_providers_health": true,
"validator_info": [
{
"address": "0x70997970C51812dc3A010C7d01b50e0d17dc79C8",
"is_active": true
}
],
"contract_addresses": [
{
"name": "1",
"address": "0x70997970C51812dc3A010C7d01b50e0d17dc79C8"
}
],
"latest_l1_generic_block": 45434,
"latest_l1_governance_block": 45434,
"latest_l1_desert_block": 45434
}Last updated
Was this helpful?